System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

Each data-binding expression in a server control is represented at design time by an instance of the class. Any server control that contains one or more data-binding expressions has a object that contains the objects. This collection is accessible through the class implementing the interface. When you create a custom RAD designer, use that implementation to access the collection. Any or objects associated with a server control exist only at design time. They do not exist at run time and, therefore, are not accessible during run time.

Contains information about a single data-binding expression in an ASP.NET server control, which allows rapid-application development (RAD) designers, such as Microsoft Visual Studio, to create data-binding expressions at design time. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  The property to bind data to.
  The .NET Framework type of the property to bind data to.
  The data-binding expression to be evaluated.
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified object is the same instance of the class as the current object.

  true if the data-binding property names match; otherwise, false.

  The object to compare against the current . 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the data-binding expression to be evaluated.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  objects are placed in a object, accessible only at design time. The collection is a hash table that represents the bindings on a control. There can only be one binding per property, so the hash code computation matches the implementation and only takes the property name into account.

  Retrieves the hash code for an instance of the object.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the ASP.NET server control property to bind data to.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type' To be added

  Gets the .NET Framework type of the data-bound ASP.NET server control property.

  1.0.5000.0
  2.0.0.0